changeset 842:dee27a32b160

Fix static toolchain wrapping so distcc works with them too.
author Rob Landley <rob@landley.net>
date Sat, 10 Oct 2009 12:08:59 -0500
parents 4952504f5c57
children 2ca7ea5d3ec1
files build.sh sources/sections/binutils-gcc.sh
diffstat 2 files changed, 9 insertions(+), 2 deletions(-) [+]
line wrap: on
line diff
--- a/build.sh	Sat Oct 10 02:22:29 2009 -0500
+++ b/build.sh	Sat Oct 10 12:08:59 2009 -0500
@@ -64,7 +64,7 @@
   # the libraries).
 
   BUILD_STATIC=1 FROM_ARCH="$STATIC_CROSS_COMPILER_HOST" NATIVE_TOOLCHAIN=only \
-    STAGE_NAME=cross-static ./root-filesystem.sh "$ARCH"
+    ROOT_NODIRS=1 STAGE_NAME=cross-static ./root-filesystem.sh "$ARCH"
 
   # Replace the dynamic cross compiler with the static one so the rest of
   # the build uses the new one.
--- a/sources/sections/binutils-gcc.sh	Sat Oct 10 02:22:29 2009 -0500
+++ b/sources/sections/binutils-gcc.sh	Sat Oct 10 12:08:59 2009 -0500
@@ -162,7 +162,14 @@
   cp -s "../../../../$CROSS_TARGET/bin/"* . &&
 
   ln -s ${CROSS_TARGET} ${STAGE_DIR}/tools &&
-  ln -sf ../../../../tools/bin/ld  ${STAGE_DIR}/libexec/gcc/*/*/collect2 &&
+  ln -sf ../../../../tools/bin/ld  ${STAGE_DIR}/libexec/gcc/*/*/collect2 || dienow
+
+  # These are allowed to fail, there for static toolchains that don't make 'em.
+
+  ln -s ../../bin/${PROGRAM_PREFIX}-rawgcc gcc 2>/dev/null
+  ln -s ../../bin/${PROGRAM_PREFIX}-rawgcc cc 2>/dev/null
+  ln -s ../../bin/${PROGRAM_PREFIX}-rawg++ g++ 2>/dev/null
+  ln -s ../../bin/${PROGRAM_PREFIX}-rawg++ c++ 2>/dev/null
 
   # Wrap C++ too.